Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## teamdev.jxcapture.toolkit
Interface DrawableArea

All Known Implementing Classes:
  WindowsDrawableArea

public interface DrawableArea

This interface represents the area on which the drawing capture operation takes place.

Method Summary
`void` | `dispose()` Hides and disposes of this area.
`java.awt.image.BufferedImage` | `getBackgroundImage()` Returns the specified background image (a screen shot of the desktop) for this area.
`java.awt.Component` | `getComponent()` Returns the component on which the drawing capture operation is performed.
`java.awt.Cursor` | `getCursor()` Gets the cursor image.
`DialogComponent` | `getDialogComponent()` Gets the `DialogComponent` for this capture operation.
`javax.swing.JPopupMenu` | `getPopupMenu()` Gets the pop-up menu for this area.
`void` | `setBackgroundImage(java.awt.image.BufferedImage image)` Sets the specified background image (a screen shot of the desktop) for this area.
`void` | `setCursor(java.awt.Cursor cursor)` Sets the cursor image to the specified cursor which is shown during the capture operation.
`void` | `setDialogComponent(DialogComponent dialogComponent)` Sets the specified `DialogComponent` for this capture operation.
`void` | `setPopupMenu(javax.swing.JPopupMenu popupMenu)` Sets the pop-up menu for this area.
`void` | `setSelectionPainter(SelectionPainter selectionPainter)` Sets the specified selection painter.
`void` | `show()` Shows this area.

Method Detail

### setBackgroundImage

    public void setBackgroundImage(java.awt.image.BufferedImage image)

  Sets the specified background image (a screen shot of the desktop) for this area.

  Parameters:
    `image` - the specified background image

### getBackgroundImage

    public java.awt.image.BufferedImage getBackgroundImage()

  Returns the specified background image (a screen shot of the desktop) for this area.

  Returns:
    the specified background image

### setSelectionPainter

    public void setSelectionPainter(SelectionPainter selectionPainter)

  Sets the specified selection painter. (see `SelectionPainter` interface).

  Parameters:
    `selectionPainter` - the specified selection painter

### getComponent

    public java.awt.Component getComponent()

  Returns the component on which the drawing capture operation is performed.

  Returns:
    the component on which the drawing capture operation is performed.

### setCursor

    public void setCursor(java.awt.Cursor cursor)

  Sets the cursor image to the specified cursor which is shown during the capture operation.

  Parameters:
    `cursor` - the specified cursor which is shown during the capture operation

### getCursor

    public java.awt.Cursor getCursor()

  Gets the cursor image.

  Returns:
    the cursor image

### setPopupMenu

    public void setPopupMenu(javax.swing.JPopupMenu popupMenu)

  Sets the pop-up menu for this area.

  Parameters:
    `popupMenu` - the pop-up menu for this area

### getPopupMenu

    public javax.swing.JPopupMenu getPopupMenu()

  Gets the pop-up menu for this area.

  Returns:
    the pop-up menu for this area

### setDialogComponent

    public void setDialogComponent(DialogComponent dialogComponent)

  Sets the specified `DialogComponent` for this capture operation.

  Parameters:
    `dialogComponent` - the specified `DialogComponent` for this capture operation

### getDialogComponent

    public DialogComponent getDialogComponent()

  Gets the `DialogComponent` for this capture operation.

  Returns:
    the `DialogComponent` for this capture operation

### show

    public void show()

  Shows this area.

### dispose

    public void dispose()

  Hides and disposes of this area.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD